Debian Bug report logs - #667249
libmsn: ftbfs with GCC-4.7

version graph

Package: libmsn; Maintainer for libmsn is Pau Garcia i Quiles <pgquiles@elpauer.org>;

Reported by: Matthias Klose <doko@debian.org>

Date: Tue, 3 Apr 2012 23:18:13 UTC

Severity: serious

Tags: patch, sid, wheezy

Found in version 4.2-1

Fixed in version libmsn/4.2-2

Done: Pau Garcia i Quiles <pgquiles@elpauer.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#667249; Package libmsn. (Tue, 03 Apr 2012 23:18:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
New Bug report received and forwarded. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Tue, 03 Apr 2012 23:18:45 GMT) Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: maintonly@bugs.debian.org
Subject: libmsn: ftbfs with GCC-4.7
Date: Tue, 03 Apr 2012 23:10:19 +0000
Package: libmsn
Version: 4.2-1
Severity: important
Tags: sid wheezy
User: debian-gcc@lists.debian.org
Usertags: ftbfs-gcc-4.7

The package fails to build in a test rebuild on at least amd64 with
gcc-4.7/g++-4.7, but succeeds to build with gcc-4.6/g++-4.6. The
severity of this report may be raised before the wheezy release.

util.cpp:537:33: error: 'unlink' was not declared in this scope

The full build log can be found at:
http://people.debian.org/~lucas/logs/2012/03/29-clang-gcc47/unstable-gcc47/libmsn_4.2-1_unstable-gcc47.log
The last lines of the build log are at the end of this report.

Some hints on fixing these issues can be found at
http://gcc.gnu.org/gcc-4.7/porting_to.html

To build with GCC 4.7, either set CC=gcc-4.7 CXX=g++-4.7 explicitly,
or install the gcc, g++, gfortran, ... packages from experimental.

[...]
/usr/bin/make -f msn/CMakeFiles/msn.dir/build.make msn/CMakeFiles/msn.dir/build
make[3]: Entering directory `/«PKGBUILDDIR»/builddir'
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 1
[  5%] Building CXX object msn/CMakeFiles/msn.dir/authdata.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/authdata.cpp.o -c /«PKGBUILDDIR»/msn/authdata.cpp
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 2
[ 10%] Building CXX object msn/CMakeFiles/msn.dir/message.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/message.cpp.o -c /«PKGBUILDDIR»/msn/message.cpp
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 3
[ 15%] Building CXX object msn/CMakeFiles/msn.dir/connection.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/connection.cpp.o -c /«PKGBUILDDIR»/msn/connection.cpp
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 4
[ 20%] Building CXX object msn/CMakeFiles/msn.dir/switchboardserver.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/switchboardserver.cpp.o -c /«PKGBUILDDIR»/msn/switchboardserver.cpp
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 5
[ 25%] Building CXX object msn/CMakeFiles/msn.dir/notificationserver.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/notificationserver.cpp.o -c /«PKGBUILDDIR»/msn/notificationserver.cpp
/usr/bin/cmake -E cmake_progress_report /«PKGBUILDDIR»/builddir/CMakeFiles 6
[ 30%] Building CXX object msn/CMakeFiles/msn.dir/util.cpp.o
cd /«PKGBUILDDIR»/builddir/msn && /usr/bin/c++   -Dmsn_EXPORTS -O2 -g -fPIC -I/«PKGBUILDDIR» -I/«PKGBUILDDIR»/msn -I/«PKGBUILDDIR»/builddir    -o CMakeFiles/msn.dir/util.cpp.o -c /«PKGBUILDDIR»/msn/util.cpp
/«PKGBUILDDIR»/msn/util.cpp: In function 'void MSN::libmsn_Siren7_DecodeVoiceClip(std::string)':
/«PKGBUILDDIR»/msn/util.cpp:537:33: error: 'unlink' was not declared in this scope
/«PKGBUILDDIR»/msn/util.cpp: In function 'void MSN::libmsn_Siren7_EncodeVoiceClip(std::string)':
/«PKGBUILDDIR»/msn/util.cpp:621:34: error: 'unlink' was not declared in this scope
make[3]: *** [msn/CMakeFiles/msn.dir/util.cpp.o] Error 1
make[3]: Leaving directory `/«PKGBUILDDIR»/builddir'
make[2]: *** [msn/CMakeFiles/msn.dir/all] Error 2
make[1]: *** [all] Error 2
make: *** [build-stamp] Error 2
dpkg-buildpackage: error: debian/rules build-arch gave error exit status 2




Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#667249; Package libmsn. (Mon, 16 Apr 2012 20:57:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Mon, 16 Apr 2012 20:57:05 GMT) Full text and rfc822 format available.

Message #10 received at 667249@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 667249@bugs.debian.org
Subject: Re: libmsn: ftbfs with GCC-4.7
Date: Mon, 16 Apr 2012 22:55:21 +0200
[Message part 1 (text/plain, inline)]
tags 667249 + patch
thanks

[libmsn.debdiff (text/plain, attachment)]

Added tag(s) patch. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 16 Apr 2012 20:57:06 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'important' Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Mon, 07 May 2012 16:51:29 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Pau Garcia i Quiles <pgquiles@elpauer.org>:
Bug#667249; Package libmsn. (Sun, 13 May 2012 12:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Wiltshire <jmw@debian.org>:
Extra info received and forwarded to list. Copy sent to Pau Garcia i Quiles <pgquiles@elpauer.org>. (Sun, 13 May 2012 12:54:03 GMT) Full text and rfc822 format available.

Message #19 received at 667249@bugs.debian.org (full text, mbox):

From: Jonathan Wiltshire <jmw@debian.org>
To: 667249@bugs.debian.org
Subject: libmsn: diff for NMU version 4.2-1.1
Date: Sun, 13 May 2012 13:52:42 +0100
tags 667249 + pending
thanks

Dear maintainer,

I've prepared an NMU for libmsn (versioned as 4.2-1.1) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.


diff -Nru libmsn-4.2/debian/changelog libmsn-4.2/debian/changelog
--- libmsn-4.2/debian/changelog	2011-11-19 15:32:14.000000000 +0000
+++ libmsn-4.2/debian/changelog	2012-05-13 13:46:28.000000000 +0100
@@ -1,3 +1,10 @@
+libmsn (4.2-1.1) unstable; urgency=low
+
+  * Non maintainer upload.
+  * Fix build failure with GCC 4.7. Closes: #667249.
+
+ -- Matthias Klose <doko@debian.org>  Mon, 16 Apr 2012 22:52:22 +0200
+
 libmsn (4.2-1) unstable; urgency=medium
 
   * New upstream version. Fixes SOAP issues that were breaking WLM login 
diff -Nru libmsn-4.2/debian/patches/fix-ftbfs-gcc4.7.diff libmsn-4.2/debian/patches/fix-ftbfs-gcc4.7.diff
--- libmsn-4.2/debian/patches/fix-ftbfs-gcc4.7.diff	1970-01-01 01:00:00.000000000 +0100
+++ libmsn-4.2/debian/patches/fix-ftbfs-gcc4.7.diff	2012-05-13 13:46:28.000000000 +0100
@@ -0,0 +1,12 @@
+Index: libmsn-4.2/msn/util.cpp
+===================================================================
+--- libmsn-4.2.orig/msn/util.cpp	2009-07-22 19:57:10.000000000 +0000
++++ libmsn-4.2/msn/util.cpp	2012-04-16 20:52:18.068767213 +0000
+@@ -25,6 +25,7 @@
+ #include <msn/util.h>
+ #include <sstream>
+ #include <errno.h>
++#include <unistd.h>
+ #include <cctype>
+ #include <fstream>
+ #include <openssl/rand.h>
diff -Nru libmsn-4.2/debian/patches/series libmsn-4.2/debian/patches/series
--- libmsn-4.2/debian/patches/series	2011-11-19 15:40:51.000000000 +0000
+++ libmsn-4.2/debian/patches/series	2012-05-13 13:46:28.000000000 +0100
@@ -1 +1,2 @@
 01_install_xmlParser_header.diff
+fix-ftbfs-gcc4.7.diff




Added tag(s) pending. Request was from Jonathan Wiltshire <jmw@debian.org> to control@bugs.debian.org. (Sun, 13 May 2012 12:54:05 GMT) Full text and rfc822 format available.

Reply sent to Pau Garcia i Quiles <pgquiles@elpauer.org>:
You have taken responsibility. (Sun, 13 May 2012 21:21:18 GMT) Full text and rfc822 format available.

Notification sent to Matthias Klose <doko@debian.org>:
Bug acknowledged by developer. (Sun, 13 May 2012 21:21:18 GMT) Full text and rfc822 format available.

Message #26 received at 667249-close@bugs.debian.org (full text, mbox):

From: Pau Garcia i Quiles <pgquiles@elpauer.org>
To: 667249-close@bugs.debian.org
Subject: Bug#667249: fixed in libmsn 4.2-2
Date: Sun, 13 May 2012 21:16:58 +0000
Source: libmsn
Source-Version: 4.2-2

We believe that the bug you reported is fixed in the latest version of
libmsn, which is due to be installed in the Debian FTP archive:

libmsn-dev_4.2-2_i386.deb
  to main/libm/libmsn/libmsn-dev_4.2-2_i386.deb
libmsn0.3-dbg_4.2-2_i386.deb
  to main/libm/libmsn/libmsn0.3-dbg_4.2-2_i386.deb
libmsn0.3_4.2-2_i386.deb
  to main/libm/libmsn/libmsn0.3_4.2-2_i386.deb
libmsn_4.2-2.debian.tar.gz
  to main/libm/libmsn/libmsn_4.2-2.debian.tar.gz
libmsn_4.2-2.dsc
  to main/libm/libmsn/libmsn_4.2-2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 667249@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Pau Garcia i Quiles <pgquiles@elpauer.org> (supplier of updated libmsn package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 13 May 2012 19:50:37 +0200
Source: libmsn
Binary: libmsn0.3 libmsn0.3-dbg libmsn-dev
Architecture: source i386
Version: 4.2-2
Distribution: unstable
Urgency: low
Maintainer: Pau Garcia i Quiles <pgquiles@elpauer.org>
Changed-By: Pau Garcia i Quiles <pgquiles@elpauer.org>
Description: 
 libmsn-dev - high-level C++ library for MSN Messenger [devel]
 libmsn0.3  - high-level C++ library for MSN Messenger [runtime]
 libmsn0.3-dbg - high-level C++ library for MSN Messenger [debug]
Closes: 667249
Changes: 
 libmsn (4.2-2) unstable; urgency=low
 .
   * Fix build failure with GCC 4.7. Closes: #667249. Thanks to Matthias
     Klose and Jonathan Wiltshire for the fix.
   * Bump standards to 3.9.3 (no changes required)
   * Add descriptions to patches
Checksums-Sha1: 
 eb9e3bba326607abbfda8d8d61e4c5404436c9d9 1842 libmsn_4.2-2.dsc
 4532dd6e2fe9dba1fbcb8cb2c6855e8c38eaf028 6920 libmsn_4.2-2.debian.tar.gz
 98d6c1d9d8853dae2c089805d24b60465ad42bc8 285278 libmsn0.3_4.2-2_i386.deb
 24a69276e7412a1f5774f70158b2c8f7833aa5f4 828310 libmsn0.3-dbg_4.2-2_i386.deb
 87b9294a19d5b9465573fd0b3f833cb9e8dc6d75 36260 libmsn-dev_4.2-2_i386.deb
Checksums-Sha256: 
 3db739c9fb53b223c2a6ffb8f9f7f1c79ba8c30f0a9d9257ab65875cde93a077 1842 libmsn_4.2-2.dsc
 0f38d361270126f7244cd3eec3c72145b427e87a86d6e6cfabc48b1d9dc1c4bd 6920 libmsn_4.2-2.debian.tar.gz
 c8db8aa4f839e59ed3397608f57ee24f0f7d7f50745ee1cf85502837d6e72c83 285278 libmsn0.3_4.2-2_i386.deb
 ef3a4369ba57de6eb6bae58e7894f37645ef88ea083ccbfd4714b1530bd1dd15 828310 libmsn0.3-dbg_4.2-2_i386.deb
 57f653a5121663eb1693b7f97f5294bfa0d3c0bb1d6872c6c6742060fd704e5a 36260 libmsn-dev_4.2-2_i386.deb
Files: 
 f398772450b015027988ef1b421e6ca6 1842 libs optional libmsn_4.2-2.dsc
 c7e5fa47438ad0a2a17379f40a670fa7 6920 libs optional libmsn_4.2-2.debian.tar.gz
 2a8c08cca3c0b2f1f6cdb69fdd6aea43 285278 libs optional libmsn0.3_4.2-2_i386.deb
 9397b473747633bb9a4013ca1d9b8530 828310 debug extra libmsn0.3-dbg_4.2-2_i386.deb
 093820d91fb099d4df86c9448567cfcf 36260 libdevel optional libmsn-dev_4.2-2_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPsBNrAAoJEJNqg1tni5eWLOAP/iNEubTQTSIUXjse0OqvVbaY
Xh2KXQq2iJyDkImuppsjjCoW1rwIMZOYID3BIPMUzQZxNXnsJNUIgStO7E+fEVQo
xZpVD5NDG/v5YQuJnz1nbRJvBVo1iPyWtX6+NeJZ08nw9GraUzc7AHPK/eeIQPjl
kXjH0X0jdVWn1DNkylBoh75EJMG2PLj70P2VRZbQIPeAO+c30Z9la1HCNoXcZl6g
8KOsT2RY9vta38d5kxOCzb80WC4mwS8OMzCA4hc1GXo6EQACqmOlPlip2G6bhmMh
K6FHc0knmdMESP2PgLSaifSP7VQ3LRZ7Gy7IBVsToL8FMptXVumRTYNkYkBCIf96
nqtLr2Wan+HPsBC13HwHGfhTnWAEK2/5odty863cdNHr+BYYSCYnhUTFnal9cArC
rWkJnm6vJ5jPfPTCZUWKoUZkLWFICIkaDaNsvinG8GfWO8F1Ik4dCqkIICfCew+8
ITIMyK+KvrBKAZeTlJQPXIMoYh4BBfrKNsMXQsYRqvvAW+nAaU80OroRJ10UibqL
R0XN1hLb+4XnfrOHdGRSsKLH/PhhpotmJw/5II0PQSRpFyCtXjQouiC0xcgTwg/H
Byk6LlpsoyR3xVOCrFq8olB+Ixy0eURkG2/Kl3/8gkFfBhX8aW6i9TxpxZcvKTsi
TdaqVSVPu20bHBUeHcmK
=Wjux
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 21 Jun 2012 07:38:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:54:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.